Module: sip-router
Branch: master
Commit: f9dbcbba75e742d9fafa1b10b477144c4aefd731
URL:
http://git.sip-router.org/cgi-bin/gitweb.cgi/sip-router/?a=commit;h=f9dbcbb…
Author: Marius Zbihlei <marius.zbihlei(a)1and1.ro>
Committer: Marius Zbihlei <marius.zbihlei(a)1and1.ro>
Date: Mon Oct 26 14:25:29 2009 +0200
Fixed 41.sh test
---
test/unit/41.cfg | 10 +++++-----
test/unit/41.sh | 14 ++++++++------
2 files changed, 13 insertions(+), 11 deletions(-)
diff --git a/test/unit/41.cfg b/test/unit/41.cfg
index 335b670..0ca4422 100644
--- a/test/unit/41.cfg
+++ b/test/unit/41.cfg
@@ -1,15 +1,15 @@
-memlog=1
+#memlog=1
debug=1
children=1
-mpath="../modules"
+mpath="../../modules_k"
+loadmodule "../../modules/tm/tm.so"
loadmodule "sl/sl.so"
-loadmodule "tm/tm.so"
-loadmodule "db_mysql/db_mysql.so"
+loadmodule "../../modules/db_mysql/db_mysql.so"
loadmodule "usrloc/usrloc.so"
loadmodule "registrar/registrar.so"
loadmodule "pv/pv.so"
-loadmodule "avpops/avpops.so"
+loadmodule "../../modules/avpops/avpops.so"
loadmodule "mi_fifo/mi_fifo.so"
loadmodule "xlog/xlog.so"
diff --git a/test/unit/41.sh b/test/unit/41.sh
index 87cffb7..7e2be14 100755
--- a/test/unit/41.sh
+++ b/test/unit/41.sh
@@ -38,17 +38,18 @@ if ! (check_sipp && check_kamailio && check_module
"db_mysql" && check_mysql); t
fi ;
# add an registrar entry to the db;
-$MYSQL "INSERT INTO location (username,contact,socket,user_agent,cseq,q) VALUES
(\"foo\",\"sip:foo@localhost:$UAS\",\"udp:127.0.0.1:$UAS\",\"ser_test\",1,-1);"
+$MYSQL "INSERT INTO location (username,contact,socket,user_agent,cseq,q) VALUES
(\"foo\",\"sip:foo@127.0.0.1:$UAS\",\"udp:127.0.0.1:$UAS\",\"ser_test\",1,-1);"
$MYSQL "INSERT INTO usr_preferences (uuid, attribute, type, value) VALUES
(\"foobar\", \"679\", 0, \"foobar!!!!!\");"
# start
-../$BIN -w . -f $CFG &> /dev/null
+
+$BIN -w . -f $CFG &> /dev/null
ret=$?
if [ "$ret" -eq 0 ]; then
- sipp -sn uas -bg -i localhost -m $NR -r $RT -p $UAS &> /dev/null
- sipp -sn uac -s foo 127.0.0.1:$SRV -r $RT -i localhost -m $NR -p $UAC &>
/dev/null
+ sipp -sn uas -bg -i 127.0.0.1 -m $NR -r $RT -p $UAS &> /dev/null
+ sipp -sn uac -s foo 127.0.0.1:$SRV -r $RT -i 127.0.0.1 -m $NR -p $UAC &>
/dev/null
ret=$?
fi;
@@ -56,6 +57,7 @@ sleep 1
$KILL
killall -9 sipp > /dev/null 2>&1
-$MYSQL "DELETE FROM location WHERE ((contact = \"sip:foo@localhost:$UAS\")
and (user_agent = \"ser_test\"));"
+$MYSQL "DELETE FROM location WHERE ((contact = \"sip:foo@127.0.0.1:$UAS\")
and (user_agent = \"ser_test\"));"
$MYSQL "DELETE FROM usr_preferences;"
-exit $ret
\ No newline at end of file
+exit $ret
+